Bug 1312409 - Review Request: python-pybtex-docutils - Docutils backend for pybtex
Review Request: python-pybtex-docutils - Docutils backend for pybtex
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1312407
Blocks: 1312410
  Show dependency treegraph
 
Reported: 2016-02-26 11:05 EST by Jerry James
Modified: 2016-03-05 11:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 11:00:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2016-02-26 11:05:22 EST
Spec URL: https://jjames.fedorapeople.org/python-pybtex-docutils/python-pybtex-docutils.spec
SRPM URL: https://jjames.fedorapeople.org/python-pybtex-docutils/python-pybtex-docutils-0.2.1-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: This package contains a docutils backend for pybtex, a BibTeX-compatible bibliography processor written in Python.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:46:11 EST
A general comment for this package and the other ones: there's nothing wrong with %{with_py3k}, but so far people have been using %{with_python3}. I'd recommend renaming the macro, to make things just a bit more standard between packages.

Can you expand the description a bit more to say what "docutils backend" means (you can use it to provide input in a different format or ...)?

The same as for other packages: can you build python 2 and 3 packages from the same directory? Also, is the python2 and python3 documentation significantly different? If not, you should package just one version of the documentation.

nosetests-%{python3_version}

sphinx-build-%{python3_version}

I don't think you need to convert LICENSE to html. Most people will read it in the terminal, where rst is totally ok.

Same as for other packages, you don't need to preserve the timestamp of modified files.
Comment 2 Jerry James 2016-03-02 23:39:43 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> A general comment for this package and the other ones: there's nothing wrong
> with %{with_py3k}, but so far people have been using %{with_python3}. I'd
> recommend renaming the macro, to make things just a bit more standard
> between packages.

I don't much care what the macro name is, so I'll make this change.  I didn't see this before updating a couple of other packages tonight, I'm afraid.  I have made this change in the local copies of all spec files I'm submitting, though, so this change will show up if I make any more modifications, or on import if not.

> Can you expand the description a bit more to say what "docutils backend"
> means (you can use it to provide input in a different format or ...)?

Okay, I have expanded the description a little to try to shed some light on this.

> The same as for other packages: can you build python 2 and 3 packages from
> the same directory? Also, is the python2 and python3 documentation
> significantly different? If not, you should package just one version of the
> documentation.

In my opinion, there should either be a separate -doc package or, when the documentation is small (as in this case), it should go into both packages so that it is available to people who install just one or the other.

> nosetests-%{python3_version}
> 
> sphinx-build-%{python3_version}

Done.

> I don't think you need to convert LICENSE to html. Most people will read it
> in the terminal, where rst is totally ok.

Okay, I've made this change.

> Same as for other packages, you don't need to preserve the timestamp of
> modified files.

Done.

New URLs:
Spec URL: https://jjames.fedorapeople.org/python-pybtex-docutils/python-pybtex-docutils.spec
SRPM URL: https://jjames.fedorapeople.org/python-pybtex-docutils/python-pybtex-docutils-0.2.1-2.fc25.src.rpm
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-03-03 09:30:21 EST
+ latest version
+ license is acceptable (MIT)
+ license file is present, %license is used
+ provides/requires look OK
+ python_provide is used
+ %check is present and passes
+ no scriptlets
+ rpmlint false positives only

I didn't check that the package works, but this will get tested with #1312410, so no need to test now.

Package is APPROVED.
Comment 4 Jerry James 2016-03-04 16:23:21 EST
Thank you!  New package requested.
Comment 5 Gwyn Ciesla 2016-03-04 17:25:50 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pybtex-docutils

Note You need to log in before you can comment on or make changes to this bug.